wcd (6.0.6-2) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- João André Lima Lanzarini <joaoandrelanzarini@alunos.utfpr.edu.br>  Sun, 10 May 2026 16:30:14 -0300

wcd (6.0.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 6.0.6.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Dec 2025 19:45:45 -0500

wcd (6.0.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 6.0.5.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Use up-to-date project homepage.
  * debian/watch: Update monitoring scripts.
  * debian/upstream/signing-key.asc: Add signing public key.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Sep 2023 14:56:23 -0400

wcd (6.0.3-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:06:38 +0000

wcd (6.0.3-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:58:18 +0100

wcd (6.0.3-2) unstable; urgency=medium

  * QA upload.
  * Fix ftcbfs. (Closes: #929759)
  * Update Vcs to debian/wcd repo.
  * Add Rules-Requires-Root for lintian warning.
  * Use https with homepage.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 02 Jan 2020 23:55:04 +0000

wcd (6.0.3-1) unstable; urgency=medium

  * QA upload.
  * Update to upstream 6.0.3.
  * Update Standards-Version to 4.4.1.
  * Update compate level to 12.
  * Mark maintainer to QA.
  * Remove the patch, this version is not using build date.
  * Combine both NEWS file to a single NEWS.
  * Push to salsa and update Vcs.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Dec 2019 23:08:07 +0000

wcd (5.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - (Build-Depends): use debhelper 10.
  * debian/copyright
    - Update years.
  * debian/patches
    - (10): Update. Use version.mk from original sources for date.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 08 Jan 2017 13:19:45 +0200

wcd (5.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/patches
    - (10): New. Make build reproducible (Closes: 796375).
      Patch thanks to Eduard Sanou <dhole@openmailbox.org>.
  * debian/source/options
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 20 Oct 2016 17:47:37 +0300

wcd (5.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): Update to 3.9.5.
  * debian/rules
    - Adjust for new release.
  * debian/watch
    - Drop *-src from URLs.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 13 Jun 2014 05:34:59 +0300

wcd (5.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/conrol
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (X-Upstream-Vcs): New URL.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 29 Aug 2013 07:20:05 +0300

wcd (5.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): Update to 3.9.4.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 31 Oct 2012 08:38:16 +0200

wcd (5.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Adjust indenting and years.
  * debian/rules
    - (MAKE_OPTIONS) New. Pass hardened build flags.
    - (override_dh_auto_clean): Remove generated files.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 10 Sep 2012 08:48:43 +0300

wcd (5.2.1-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 02:15:09 -0400

wcd (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * General
    - Delete extra empty newlines and whitespaces from files.
  * debian/control
    - (Standards-Version): update to 3.9.3.
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright
    - Update to DEP5 1.0.
  * debian/rules
    - (KEEP_FILES): New.
    - (clean): Clean generated file sin doc/ directory.
  * debian/compat
    - Update to 9
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 29 Feb 2012 17:23:17 -0500

wcd (5.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): Add libunistring-dev.
  * debian/copyright
    - Update to DEP5.
  * debian/rules
    - (MAKE_OPTIONS): Enable Unicode normalization with UNINORM=1.
    - (override_dh_auto_clean): clean up *.pod.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 12 Nov 2011 17:46:17 +0200

wcd (5.1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): update to 3.9.2.
  * debian/{clean,docs}
    - Remove *.pdf; no longer generated by upstream by default.
  * debian/rules
    - (override_dh_auto_install): install alias scrips provided by
      upstream.
    - (override_dh_installman): delete *.pdf handling; no longer needed.
  * debian/README.Debian
    - Rewrite.
  * debian/wcd-include.sh.new
    - Update to newest upstream and merge local changes.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 16 Jun 2011 10:06:05 +0300

wcd (5.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - (override_dh_auto_build): Do not build duplicate copies of
      manual pages in format: txt pdf ps.
    - (override_dh_installman): Remove copies of manual pages.
  * debian/watch
    - Prefer direct upstream URL (faster response).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 21 Nov 2010 23:31:26 +0200

wcd (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8.
  * debian/NEWS.Debian
    - Adjust indentation.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Nov 2010 01:25:02 +0200

wcd (5.1.2-1) unstable; urgency=low

  * New upstream release
    - Update to packaging format "3.0 (quilt)".
  * debian/*.sh
    - Update path to /usr/bin.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Standards-Version): Update to 3.8.4.
  * debian/debian-compile.mk
    - Delete unused file.
  * debian/NEWS
    - New file
  * debian/patches
    - (20): Fix curses.
  * debian/rules
    - Move to dh(1)
  * debian/source/format
     - New file.
  * debian/wcd.manpages
    - Delete unused file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 May 2010 11:23:18 +0300

wcd (5.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 14 Jan 2010 20:11:46 +0200

wcd (5.1.0-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from debian/rules for dh(1).
  * debian/control
    - (Depends): add ${misc:Depends} for debhelper.
  * debian/debian-compile.mk
    - New file.
  * debian/rules
    - Remove rules obsoleted by dh(1).
    - (CFLAGS_EXTRA): New. Pass strict compiler flags.
  * debian/source/format
    - New file.
  * debian/ttyload.{clean,manpages}
    - Move content from debian/rules for dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Dec 2009 19:00:48 +0200

wcd (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): Change to libncursesw5-dev (UTF-8).
    - (Standards-Version): update to 3.8.3.
  * debian/doc-base
    - New (lintian).
  * debian/rules
    - (build.stamp): enable Unicode support by adding UCS=1.
    - (install): Modify for new upstream version.
  * debian/patches
    - Remove. All accepted by upstream maintainer.
  * debian/wcd-include.sh
    - Add missing parenthesis (Closes: #551588).
    - Add quoting. Remove 'test' calls and use POSIX [].
    - Add -z option.
    - Detect Emacs M-x shell and turn on plain curses.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 02 Nov 2009 05:32:11 +0000

wcd (5.0.4-1) unstable; urgency=low

  * GENERAL INFORMATION
    - New maintainer (Closes: #540913).
    - Replace CDBS build system with debhelper.
  * New upstream release
    - Upgrade (Closes: #517321, #540986).
    - Make option -l accept second arg as ALIAS-NAME (Closes: #518280).
    - Reverse options -v -V (Closes: #518136).
  * debian/NEWS
    - Minor formatting adjustments.
    - (Changes compared to upstream): update to newest release.
  * debian/debian-vars.mk
    - New file for packaging variables.
  * debian/control
    - (Build-Depends): Add ghostscript (new upstream release).
    - (Homepage): move to top (Closes: #517378) and point to general
      project hub at Freshmeat (Closes: #517379).
    - (Standards-Version): update to 3.8.2.
    - (Vcs-*): New fields.
  * debian/dirs
    - Delete file, new upstream version uses different directories.
  * debian/patches
    - Add 10-manpage-hyphen.dpatch (Closes: #517334).
    - Add 20-manpage-pu.dpatch.
  * debian/rules
    - New file.
  * debian/watch
    - Change to Sourceforge.
  * debian/wcd-include.sh
    - Convert to pure /bin/sh (remove Bashism).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Aug 2009 21:38:03 +0000

wcd (3.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Wall <lwall@debian.org>  Wed,  1 Mar 2006 23:49:03 -0300

wcd (3.1.4-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (closes: #297448)
  * Switched to cdbs.

 -- Lucas Wall <lwall@debian.org>  Tue,  1 Mar 2005 16:02:15 -0300

wcd (3.1.3-3) unstable; urgency=low

  * Fix path to shell scripts (closes:238616)
  * Remove debconf note which had closed 237005
  (closes:238592)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Mar 2004 19:18:45 -0700

wcd (3.1.3-2) unstable; urgency=low

  * Add debconf note that "users must read README.Debian" to
  use this package (closes:237005)
  * Add bash and csh shell fragments that users can add to their
  startup scripts.
  * Rename wcd.exe to wcd_exe

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 14 Mar 2004 15:42:17 -0700

wcd (3.1.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  9 Mar 2004 07:19:46 -0700

wcd (3.1.0-1) unstable; urgency=low

  * New upstream
  * Build with gcc-3.2
  * Move changes wrt upstream from copyright to README.Debian

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 20:11:53 -0700

wcd (3.0.7-3) unstable; urgency=low

  * Really fix versioning problem.

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 12 Nov 2002 11:31:11 -0700

wcd (3.0.7-2) unstable; urgency=low

  * Rebuild with new glibc, should now have correct pkg dependency versioning
  (closes: 168803)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 12 Nov 2002 10:17:31 -0700

wcd (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Oct 2002 14:30:44 -0700

wcd (3.0.6-1) unstable; urgency=low

  * New upstream version.

  * Fix typo in short description.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  8 Sep 2002 15:53:36 -0600

wcd (3.0.5-2) unstable; urgency=low

  * Update e-mail address.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 11 Aug 2002 23:31:05 -0600

wcd (3.0.5-1) unstable; urgency=low

  * Initial release (closes: #154333)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 26 Jul 2002 00:15:53 -0600
